VERSION 5.00
Begin VB.UserControl EasterEggControl 
   BorderStyle     =   1  'Fixed Single
   CanGetFocus     =   0   'False
   ClientHeight    =   450
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3780
   ClipControls    =   0   'False
   DrawWidth       =   5
   PropertyPages   =   "EasterEggControl.ctx":0000
   ScaleHeight     =   450
   ScaleWidth      =   3780
   ToolboxBitmap   =   "EasterEggControl.ctx":0034
   Begin VB.Timer Timer3 
      Left            =   1320
      Top             =   0
   End
   Begin VB.Timer Timer2 
      Left            =   1440
      Top             =   0
   End
   Begin VB.Timer Timer1 
      Left            =   1440
      Top             =   1200
   End
   Begin VB.Label Label1 
      Alignment       =   1  'Right Justify
      BackStyle       =   0  'Transparent
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   0
      UseMnemonic     =   0   'False
      Width           =   3495
   End
End
Attribute VB_Name = "EasterEggControl"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "PropPageWizardRun" ,"Yes"
'Default Property Values:
Const m_def_Interval = 0
Const m_def_Text = ""
Dim m_Text As String
Dim m_Interval As Long

Private Counter As Integer
Private CX, CY, XPos, YPos  ' Declare variables.




Private Sub Label1_Click()

End Sub

Private Sub Timer1_Timer()

Dim y   As Long


    
If Counter = Len(Me.Text) Then Counter = 0

Counter = Counter + 1


On Error Resume Next

y = UserControl.TextWidth(Label1.Caption & "  ") * Screen.TwipsPerPixelY

If (Label1.Width - (Label1.Width / 10)) * Screen.TwipsPerPixelY < y Then
   
    Label1.Caption = Right(Label1.Caption, Len(Label1.Caption) - 1)

End If
   

    
Label1.Caption = Label1.Caption & Mid(Me.Text, Counter, 1)




DoEvents

End Sub


Private Sub Timer2_Timer()

XPos = Rnd * UserControl.ScaleWidth  ' Get horizontal position.
YPos = Rnd * UserControl.ScaleHeight     ' Get vertical position.
PSet (XPos, YPos), QBColor(Rnd * 15)    ' Draw confetti.
DoEvents    ' Yield to other

End Sub

Private Sub Timer3_Timer()

UserControl.Cls
End Sub

Private Sub UserControl_InitProperties()
    m_Text = m_def_Text
    m_Interval = m_def_Interval
    Set Font = Ambient.Font
End Sub

'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)

    m_Text = PropBag.ReadProperty("Text", m_def_Text)
    Set Font = PropBag.ReadProperty("Font", Ambient.Font)
    m_Interval = PropBag.ReadProperty("Interval", m_def_Interval)
    UserControl.BackColor = PropBag.ReadProperty("BackColor", &H8000000F)
    UserControl.ForeColor = PropBag.ReadProperty("ForeColor", &H80000012)
    Set Font = PropBag.ReadProperty("Font", Ambient.Font)
    UserControl.BorderStyle = PropBag.ReadProperty("BorderStyle", 1)
    Label1.ForeColor = PropBag.ReadProperty("ForeColor", &H80000012)
End Sub

Private Sub UserControl_Resize()

Label1.Width = UserControl.Width + (UserControl.Width * 0.1)
Label1.Height = UserControl.TextHeight(Me.Text) + 75
Label1.Top = (UserControl.Height - Label1.Height) / 2
Label1.Left = 0


End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    Call PropBag.WriteProperty("Interval", Timer1.Interval, 0)
    Call PropBag.WriteProperty("Text", m_Text, m_def_Text)
    Call PropBag.WriteProperty("Font", Font, Ambient.Font)
    Call PropBag.WriteProperty("Interval", m_Interval, m_def_Interval)
    Call PropBag.WriteProperty("BackColor", UserControl.BackColor, &H8000000F)
    Call PropBag.WriteProperty("ForeColor", UserControl.ForeColor, &H80000012)
    Call PropBag.WriteProperty("Font", Font, Ambient.Font)
    Call PropBag.WriteProperty("BorderStyle", UserControl.BorderStyle, 1)
    Call PropBag.WriteProperty("ForeColor", Label1.ForeColor, &H80000012)
End Sub

Public Property Get Text() As String
Attribute Text.VB_Description = "The text You want to display on the easterEgg"
Attribute Text.VB_ProcData.VB_Invoke_Property = "EasterEggPage1"
    Text = m_Text
End Property

Public Property Let Text(ByVal New_Text As String)
    
    m_Text = New_Text
    PropertyChanged "Text"
    DoEvents
    
End Property

Public Function StartScroll() As Variant
Attribute StartScroll.VB_Description = "Starts The test scrolling"

Counter = 0
Timer1.Interval = Me.Interval
Timer2.Interval = 30
Timer3.Interval = 30000
Label1.Width = UserControl.Width + ((UserControl.Width * (Label1.FontSize * 0.01)) * 2)
Label1.Left = -(UserControl.Width * (Label1.FontSize * 0.01))
UserControl.Cls
CX = ScaleWidth / 2 ' Get horizontal center.
CY = ScaleHeight / 2    ' Get vertical center.
UserControl.CurrentX = CX - TextWidth(Me.Text) / 2   ' Horizontal position.
UserControl.CurrentY = CY - TextHeight(Me.Text)  ' Vertical position.
DoEvents

End Function

Public Function StopScroll() As Variant
Attribute StopScroll.VB_Description = "Stops The Text from Scrolling"

Timer1.Interval = 0
Timer2.Interval = 0
Timer3.Interval = 0
DoEvents
UserControl.Cls
DoEvents
Counter = 0

End Function
Public Property Get Interval() As Long
Attribute Interval.VB_Description = "Sets how fast you want the test to scroll"
Attribute Interval.VB_ProcData.VB_Invoke_Property = "EasterEggPage1"
    Interval = m_Interval
End Property

Public Property Let Interval(ByVal New_Interval As Long)
    m_Interval = New_Interval
    PropertyChanged "Interval"
End Property
'''''''
''''''''WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
''''''''MappingInfo=Label1,Label1,-1,Appearance
'''''''Public Property Get Appearance() As Integer
'''''''    Appearance = Label1.Appearance
'''''''End Property
'''''''
'''''''WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'''''''MappingInfo=Label1,Label1,-1,Appearance
''''''Public Property Get Apperance() As Integer
''''''    Apperance = Label1.Appearance
''''''End Property
''''''
'''''Public Property Get Apperance() As Integer
'''''    Apperance = m_Apperance
'''''End Property
'''''
'''''Public Property Let Apperance(ByVal New_Apperance As Integer)
'''''    m_Apperance = New_Apperance
'''''    PropertyChanged "Apperance"
'''''End Property
'''''
'''''WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'''''MappingInfo=Label1,Label1,-1,Appearance
''''Public Property Get Apperance() As Integer
''''    Apperance = Label1.Appearance
''''End Property
''''
'''Public Property Get Apperance() As Integer
'''    Apperance = m_Apperance
'''End Property
'''
'''Public Property Let Apperance(ByVal New_Apperance As Integer)
'''    m_Apperance = New_Apperance
'''    Label1.Appearance = New_Apperance
'''    PropertyChanged "Apperance"
'''End Property
'''
''Public Property Get Apperance() As String
''    Apperance = m_Apperance
''End Property
''
''Public Property Let Apperance(ByVal New_Apperance As String)
''    m_Apperance = New_Apperance
''    PropertyChanged "Apperance"
''
''    On Error GoTo DefaultProp
''        Label1.Appearance = Left(New_Apperance, 1)
''    On Error GoTo 0
''Exit Property
''
''DefaultProp:
''    UserControl.Appearance = 1
''
''
''End Property
''
''WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
''MappingInfo=Label1,Label1,-1,ToolTipText
'Public Property Get ToolTipText() As String
'    ToolTipText = Label1.ToolTipText
'End Property
'
'Public Property Let ToolTipText(ByVal New_ToolTipText As String)
'    Label1.ToolTipText() = New_ToolTipText
'    PropertyChanged "ToolTipText"
'End Property
'
''WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
''MappingInfo=Label1,Label1,-1,BorderStyle
'Public Property Get BorderStyle() As Integer
'    BorderStyle = Label1.BorderStyle
'End Property
'
'Public Property Let BorderStyle(ByVal New_BorderStyle As Integer)
'    Label1.BorderStyle() = New_BorderStyle
'    PropertyChanged "BorderStyle"
'End Property
'
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,BackColor
Public Property Get BackColor() As OLE_COLOR
Attribute BackColor.VB_Description = "Returns/sets the background color used to display text and graphics in an object."
    BackColor = UserControl.BackColor
End Property

Public Property Let BackColor(ByVal New_BackColor As OLE_COLOR)
    UserControl.BackColor() = New_BackColor
    PropertyChanged "BackColor"
End Property


'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,Font
Public Property Get Font() As Font
Attribute Font.VB_Description = "Returns a Font object."
Attribute Font.VB_UserMemId = -512
    Set Font = UserControl.Font
End Property

Public Property Set Font(ByVal New_Font As Font)
    Set UserControl.Font = New_Font
    PropertyChanged "Font"
    Set Label1.Font = UserControl.Font
    Label1.Height = UserControl.TextHeight(Me.Text) + 75
    
    
    
    
    
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,BorderStyle
Public Property Get BorderStyle() As Integer
Attribute BorderStyle.VB_Description = "Returns/sets the border style for an object."
Attribute BorderStyle.VB_ProcData.VB_Invoke_Property = "EasterEggPage1"
    BorderStyle = UserControl.BorderStyle
End Property

Public Property Let BorderStyle(ByVal New_BorderStyle As Integer)
    UserControl.BorderStyle() = New_BorderStyle
    PropertyChanged "BorderStyle"
End Property
'
''WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
''MappingInfo=Label1,Label1,-1,ForeColor
'Public Property Get ForeColor() As OLE_COLOR
'    ForeColor = Label1.ForeColor
'End Property
'
'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=Label1,Label1,-1,ForeColor
Public Property Get ForeColor() As OLE_COLOR
Attribute ForeColor.VB_Description = "Returns/sets the foreground color used to display text and graphics in an object."
    ForeColor = Label1.ForeColor
End Property

Public Property Let ForeColor(ByVal New_ForeColor As OLE_COLOR)
    Label1.ForeColor() = New_ForeColor
    PropertyChanged "ForeColor"
End Property

